#include <stdio.h>
#include <stdlib.h>

#include <mbedtls/aes.h>
#include <mbedtls/bignum.h>
#include <mbedtls/ctr_drbg.h>
#include <mbedtls/hmac_drbg.h>
#include <mbedtls/ecdh.h>
#include <mbedtls/ecdsa.h>
#include <mbedtls/ecp.h>
#include <mbedtls/rsa.h>
#include <mbedtls/sha256.h>

#include <defines.h>
#include <ROMfunctions.h>



void ROMprotocol(void);
void deriveDeviceIDKeyPair(uint8_t * CDIKEY, int isECC);
void seedRNGSource(uint8_t * CDIKEY);